---
- block:
  - name: deploy ssh public key for backup_user
    authorized_key:
      user: "{{ borg_client_borg_repo_user }}"
      key: "{{ borg_client_borg_repo_ssh_pub_key }}"
      state: present

  - name: check if the client repo is already initialized on the repo server
    stat:
      path: "{{ borg_client_borg_repo_path }}/{{ borg_client_hostname }}/config"
    register: client_repo_initialized

  - name: create repo for client
    file:
      path: "{{ borg_client_borg_repo_path }}/{{ borg_client_hostname }}"
      state: directory
      mode: 0700
      owner: "{{ borg_client_borg_repo_user }}"
    when: not client_repo_initialized.stat.exists
  delegate_to: "{{ borg_client_borg_repo_host }}"
...
